Subject: Re: Bug#758105: bug#18266: grep -P and invalid exits with error

From: Vincent Lefevre <[email-masked]>
Date: Thu, 14 Aug 2014 22:11:48 +0200

On 2014-08-14 11:19:28 -0700, Paul Eggert wrote:
> grep should work correctly even if the input contains NUL bytes, so perhaps
> it would be better to replace an invalid byte by the UTF-8 sequence for
> U+FFFD REPLACEMENT CHARACTER, as that's one standard way to deal with this
> problem.  Or perhaps the volunteer will have a better idea.

The problem with this solution is that it would change the length
of the text, while replacing invalid bytes by zero bytes could be
done in place (if allowed), with very little change of the code,
I think.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)